# BUYDiscount Class Reference

Inherits from | BUYObject : NSObject
Conforms to | BUYSerializable
Declared in | BUYDiscount.h

## Overview

BUYDiscount represents a discount that is applied to the BUYCheckout.

### `code`

The unique identifier for the discount code.

`@property (nonatomic, copy) NSString *code`

#### Declared In

`BUYDiscount.h`

### `amount`

The amount that is deducted from `paymentDue` on BUYCheckout.

`@property (nonatomic, strong) NSDecimalNumber *amount`

#### Declared In

`BUYDiscount.h`

### `applicable`

Whether this discount code can be applied to the checkout.

`@property (nonatomic, assign) BOOL applicable`

#### Declared In

`BUYDiscount.h`

### `– initWithCode:`

Created a BUYDiscount with a code

`- (instancetype)initWithCode:(NSString *)code`

#### Parameters

`code` | The discount code

#### Return Value

BUYDiscount object

#### Declared In

`BUYDiscount.h`